## EActionComboBox EActionComboBox |

## Functions

GtkWidget * | e_action_combo_box_new ()
GtkWidget * | e_action_combo_box_new_with_action ()
GtkRadioAction * | e_action_combo_box_get_action ()
void | e_action_combo_box_set_action ()
gint | e_action_combo_box_get_current_value ()
void | e_action_combo_box_set_current_value ()
void | e_action_combo_box_add_separator_before ()
void | e_action_combo_box_add_separator_after ()
void | e_action_combo_box_update_model ()

## Description

## Functions

### e_action_combo_box_new ()

    GtkWidget *
    e_action_combo_box_new (void);

`e_action_combo_box_new` is deprecated and should not be used in newly-written code.

### e_action_combo_box_new_with_action ()

    GtkWidget *
    e_action_combo_box_new_with_action (GtkRadioAction *action);

`e_action_combo_box_new_with_action` is deprecated and should not be used in newly-written code.

### e_action_combo_box_get_action ()

    GtkRadioAction *
    e_action_combo_box_get_action (EActionComboBox *combo_box);

`e_action_combo_box_get_action` is deprecated and should not be used in newly-written code.

### e_action_combo_box_set_action ()

    void
    e_action_combo_box_set_action (EActionComboBox *combo_box,
                                   GtkRadioAction *action);

`e_action_combo_box_set_action` is deprecated and should not be used in newly-written code.

### e_action_combo_box_get_current_value ()

    gint
    e_action_combo_box_get_current_value (EActionComboBox *combo_box);

`e_action_combo_box_get_current_value` is deprecated and should not be used in newly-written code.

### e_action_combo_box_set_current_value ()

    void
    e_action_combo_box_set_current_value (EActionComboBox *combo_box,
                                          gint current_value);

`e_action_combo_box_set_current_value` is deprecated and should not be used in newly-written code.

### e_action_combo_box_add_separator_before ()

    void
    e_action_combo_box_add_separator_before
                                   (EActionComboBox *combo_box,
                                    gint action_value);

`e_action_combo_box_add_separator_before` is deprecated and should not be used in newly-written code.

### e_action_combo_box_add_separator_after ()

    void
    e_action_combo_box_add_separator_after
                                   (EActionComboBox *combo_box,
                                    gint action_value);

`e_action_combo_box_add_separator_after` is deprecated and should not be used in newly-written code.

### e_action_combo_box_update_model ()

    void
    e_action_combo_box_update_model (EActionComboBox *combo_box);

`e_action_combo_box_update_model` is deprecated and should not be used in newly-written code.

## Types and Values